# OroCalendarBundle

OroCalendarBundle enables a Calendar feature and related functionality in Oro applications.

The bundle adds an individual calendar for every application user with an ability to create personal one-time or recurring calendar events, allows admin users to create system calendars with events available for all application users, and provides interfaces for developers that help to add additional types of calendars or implement synchronization with external calendars in custom Oro applications.

## Table of content

- [Overview](#overview)
- [Calendar Providers](./Resources/doc/provider.md)
- [Context Calendar Menu](./Resources/doc/contextMenu.md)
- [UI](#ui)
- [System Calendars](./Resources/doc/systemCalendars.md)
- [Workflow Action](./Resources/doc/workflowAction.md)
- [Recurring Events](./Resources/doc/recurringEvents.md)
- [UID](./Resources/doc/uid.md)
- [Event Organizers](./Resources/doc/eventOrganizers.md)

## Overview

This bundle integrates the [jQuery FullCalendar](http://arshaw.com/fullcalendar/) plugin into OroPlatform and provides other calendar related functionality, such as view calendars of other users, system calendars, synchronization with external calendars, etc.

## UI

The user's calendar is available under an user menu at the top right corner of a screen.

![An example of a calendar](./Resources/doc/example.png).

Resources
---------

  * [OroCommerce, OroCRM and OroPlatform Documentation](https://doc.oroinc.com)
  * [Contributing](https://doc.oroinc.com/community/contribute/)
